xml_parser_create_ns
xml_parser_free
XML Parser Functions
PHP Manual

# xml_parser_create

(PHP 4, PHP 5)

xml_parser_create — Create an XML parser

### Description

resource xml_parser_create ([ string `$encoding` ] )

xml_parser_create() creates a new XML parser and returns a resource handle referencing it to be used by the other XML functions.

### Parameters

`encoding`

  The optional `encoding` specifies the character encoding for the input/output in PHP 4. Starting from PHP 5, the input encoding is automatically detected, so that the `encoding` parameter specifies only the output encoding. In PHP 4, the default output encoding is the same as the input charset. If empty string is passed, the parser attempts to identify which encoding the document is encoded in by looking at the heading 3 or 4 bytes. In PHP 5.0.0 and 5.0.1, the default output charset is ISO-8859-1, while in PHP 5.0.2 and upper is UTF-8. The supported encodings are ISO-8859-1, UTF-8 and US-ASCII.

### Return Values

Returns a resource handle for the new XML parser.

### See Also

- xml_parser_create_ns()
- xml_parser_free()

xml_parser_create_ns
xml_parser_free
XML Parser Functions
PHP Manual